# eCOMPASS

### evaluative Comparison of Multiple Protein Alignments by Statistical Score

Protein analyses based on statistical and machine learning methods require large and accurate multiple sequence alignments (MSAs). To assess accuracy, MSA methods are typically evaluated using benchmark alignments, which, however, usually contain very few sequences and are therefore inadequate for evaluating methods to align large numbers of sequences.  eCOMPASS addresses this problem by relying on a statistical measure of relative MSA accuracy based on direct coupling analysis (DCA): To maintain structural integrity over evolutionary time, substitutions at one residue position typically result in compensating substitutions at other positions. Based on this principle, eCOMPASS computes the statistical significance of the agreement between the most directly coupled pairs in an MSA and 3D contacts in corresponding structures. This provides a direct measure of MSA quality inasmuch as the agreement between high DC-scoring pairs and 3D contacts depends upon proper alignment of homologous residues.

## Getting Started

Getting started instructions for installing and running on a local machine...

### Prerequisites

What you need before starting...

### Installing

How to install...

./autogen.sh

mkdir build
cd build
../configure
make
sudo make install

### Running

How to run an example...

## Authors

* **Andrew Neuwald** - *Initial work* - [University of Maryland](https://www.igs.umaryland.edu/labs/neuwald/)

## License

XX

## Funding

National Institutes of Health, National Institute of General Medical Sciences grant R01GM125878
